#include<iostream>
using namespace std;
int deli(long long br)
{   int k=0;
    while(br>=1)
    {
        br=br/10;
        k++;
    }
    return k;}
long long mnozi(long long br,int k)
{
    while(k>0)
    {
        br=br*10;
        k--;
    }
    return br;
}
int main()
{
    long long b1,b2,b3,br1,br2,br3;
    cin>>b1>>b2>>b3;
    int k1,k2,k3,k;
    k1=deli(b1);
    k2=deli(b2);
    k3=deli(b3);
    k=max(k1,max(k2,k3));
    br1=mnozi(b1,k-k1);
    br2=mnozi(b2,k-k2);
    br3=mnozi(b3,k-k3);

    if(br1>br2 && br1>br3)
    {
        if(br2>br3)
            cout<<b1<<b2<<b3;
        else
            cout<<b1<<b3<<b2;
    }
    else
    {
        if(br2>br3 && br2>br1)
        {
            if(br1>br3)
                cout<<b2<<b1<<b3;
            else
                cout<<b2<<b3<<b1;
        }
        else
        {
            if(br1>br2)
                cout<<b3<<b1<<b2;
            else
                cout<<b3<<b2<<b1;
        }
    }
    return 0;
}